#ifndef MATRIXDENSE_H
#define MATRIXDENSE_H

#include <vector>

using namespace std;

class MatrixDense
{
    public:
        /** Default constructor */
        MatrixDense();
        /** Constructor */
        MatrixDense(int n, int m);

        vector<double> Mult(const vector<double> &x) const;

        vector<double> MultT(const vector<double> &x) const;

        /** Default destructor */
        virtual ~MatrixDense();


    protected:

    private:
        vector<double> mat; //!< Member variable "m"
        int nrow; //!< Member variable "nrow"
        int mcol; //!< Member variable "mcol"
};

#endif // MATRIXDENSE_H
